Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger.jpda/2 2.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.debugger.jpda
Class AbstractDICookie

    java.lang.Object
      org.netbeans.api.debugger.jpda.AbstractDICookie

Direct Known Subclasses:
  AttachingDICookie, LaunchingDICookie, ListeningDICookie

    public abstract class AbstractDICookie

extends Object

Abstract ancestor of all `DebuggerInfo` Cookies. DebuggerInfo Cookie is responsible for creating of new JPDA VirtualMachine.
How to use it:

        DebuggerInfo di = DebuggerInfo.create (
            "My First Debugger Info",
            new Object [] {
                abstractDICookieInstance
            }
        );
        DebuggerManager.getDebuggerManager ().startDebugging (di);

See Also:
  `AttachingDICookie`, `LaunchingDICookie`, `ListeningDICookie`

Constructor Summary
`AbstractDICookie()`

Method Summary
`abstract com.sun.jdi.VirtualMachine` | `getVirtualMachine()` Creates a new instance of VirtualMachine for this DebuggerInfo Cookie.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractDICookie

    public AbstractDICookie()

Method Detail

### getVirtualMachine

    public abstract com.sun.jdi.VirtualMachine getVirtualMachine()
                                                          throws IOException,
                                                                 com.sun.jdi.connect.IllegalConnectorArgumentsException,
                                                                 com.sun.jdi.connect.VMStartException

  Creates a new instance of VirtualMachine for this DebuggerInfo Cookie.

  Returns:
    a new instance of VirtualMachine for this DebuggerInfo Cookie
  Throws:
    `java.net.ConnectException` - When a connection is refused
    `IOException`
    `com.sun.jdi.connect.IllegalConnectorArgumentsException`
    `com.sun.jdi.connect.VMStartException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger.jpda/2 2.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.